.\"	$NetBSD: rtc.4,v 1.6 2008/04/30 13:10:55 martin Exp $
.\"
.\" Copyright (c) 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Julian Coleman.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 21, 1999
.Dt RTC 4 atari
.Os
.Sh NAME
.Nm rtc
.Nd Atari Real Time Clock
.Sh SYNOPSIS
.Cd "clock0 at mainbus0"
.Sh DESCRIPTION
The
.Nm
driver supports reading from and writing to the Atari real time clock (RTC).
When reading from the RTC, the format string of the output, as described in
the
.Xr strftime 3
manual page, is:
.Bd -literal -offset indent
``%Y%m%d%H%M.%S''
.Ed
.Pp
The same format is used to set the RTC to the current date.  Note that the
kernel expects the RTC to run in UTC.
.Sh FILES
.Bl -tag -width "xxxxxxxxxx" -compact
.It Pa /dev/rtc
.El
.Sh EXAMPLES
date -u +%Y%m%d%H%M.%S \*[Gt] /dev/rtc
.Sh SEE ALSO
.Xr date 1 ,
.Xr strftime 3
